options:
  openstack-origin:
    default: distro
    type: string
    description: |
      Repository from which to install.  May be one of the following:
      distro (default), ppa:somecustom/ppa, a deb url sources entry,
      or a supported Cloud Archive release pocket.

      Supported Cloud Archive sources include:

      cloud:<series>-<openstack-release>
      cloud:<series>-<openstack-release>/updates
      cloud:<series>-<openstack-release>/staging
      cloud:<series>-<openstack-release>/proposed

      For series=Trusty we support cloud archives for openstack-release:
         * juno
         * kilo
         * ...

      NOTE: updating this setting to a source that is known to provide
      a later version of OpenStack will trigger a software upgrade.

      NOTE: when openstack-origin-git is specified, openstack specific
      packages will be installed from source rather than from the
      openstack-origin repository.
  midonet-origin:
    default: midonet-2015.06
    type: string
    description: |
      'mem-1.8', 'mem-1.9',
      'midonet-2015.06'

      NOTE: updating this setting to a source that is known to provide a later
          version of MidoNet (do not change between MEM and MidoNet) will
          trigger a software upgrade.
  mem-username:
    type: string
    default:
    description: |
      The Midokura Enterprise MidoNet username credentials to access the
      repository.
  mem-password:
    type: string
    default:
    description: |
      The Midokura Enterprise MidoNet password credentials to access the
      repository.
